"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.changeClass = void 0;
/**
 * 改变 DOM 的 class
 *
 * @param domClass DOM 节点的 class 列表
 * @param insert 新插入的 class
 * @param remove 待移除的 class
 */
exports.changeClass = (domClass, insert, remove) => {
    const oldClasses = [];
    domClass.remove(...remove);
    domClass.forEach((classname) => {
        oldClasses.push(classname);
    });
    domClass.value = "";
    domClass.add(...insert, ...oldClasses);
};
exports.default = {
    changeClass: exports.changeClass,
};
